Page MenuHomePhabricator

How to switch off new heading/section HTML div-split function
Closed, ResolvedPublic1 Story Points

Description

Hello.
We are using VisualEditor in nested div tags and find it very disturbing that when a new heading is created the HTML elements are split (VE closes all the open HTML elements and opens new ones after the heading). We were searching for this function in the code so we can disable it, but weren't able to locate it. Any help in locating the function (function name, relevant files, etc.) will be very helpful.
Thanks!

Event Timeline

Wess created this task.May 4 2017, 8:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 8:03 AM

Change 351818 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Allow headings in divs

https://gerrit.wikimedia.org/r/351818

Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

@Wess: Is this for VisualEditor inside a MediaWiki environment, or in stand-alone VisualEditor?

Change 351818 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Allow headings in divs

https://gerrit.wikimedia.org/r/351818

Wess added a comment.EditedMay 5 2017, 7:26 AM

@Wess: Is this for VisualEditor inside a MediaWiki environment, or in stand-alone VisualEditor?

Inside MW MediaWiki environments.
The patch indeed solved the issue. Thank you!

Jdforrester-WMF closed this task as Resolved.May 8 2017, 5:54 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 8 2017, 5:54 PM